Skip to main content
`Ctrl`+`K`

# EPSCHASESetDegree

Sets the degree of the Chebyshev polynomial filter in the ChASE solver.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSCHASESetDegree(EPS eps,PetscInt deg,PetscBool opt)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- deg - initial degree of Chebyshev polynomial filter

- opt - internal optimization of polynomial degree

## Options Database Keys

- -eps_chase_degree <deg> - set the initial degree

- -eps_chase_degree_opt - toggle the optimization

## Note

See the documentation of ChASE [Winkelmann et al., 2019] for details.

## References

[Win19]

J. Winkelmann, P. Springer, and E. Di Napoli. ChASE: Chebyshev accelerated subspace iteration eigensolver for sequences of hermitian eigenvalue problems. ACM Trans. Math. Software, 2019. doi:10.1145/3313828.

## See Also

EPS: Eigenvalue Problem Solver, `EPSCHASE`, `EPSCHASEGetDegree()`

## Level

advanced

## Location

src/eps/impls/external/chase/chase.c

## Implementations

EPSCHASESetDegree_ChASE() in src/eps/impls/external/chase/chase.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages